View Issue Details

IDProjectCategoryView StatusLast Update
0001943Industrial-Craft²E-Net, cabling, storage/transformer blockspublic2016-08-04 17:45
ReporterPotterCraft_Assigned ToAroma1997 
PriorityimmediateSeveritycrashReproducibilityhave not tried
Status resolvedResolutionfixed 
Product Version 
Target VersionFixed in VersionBuilds for MC 1.10.x 
Summary0001943: Crash with ic2.core.energy.leg.EnergyNetLocalLeg.tickStart(EnergyNetLocalLeg.java:162)
DescriptionEvery time a player joins my 1.10.2 server and loads his IC2 machines, the server crashes.
I'm running industrialcraft-2-2.6.16-ex110
TagsNo tags attached.
Minecraft Version1.10.2

Relationships

duplicate of 0001923 resolvedAroma1997 java.util.ConcurrentModificationException at java.util.ArrayList$Itr.checkForComodification 

Activities

Aroma1997

2016-07-27 07:26

developer   ~0004645

Crash log.

PotterCraft_

2016-07-27 16:41

reporter   ~0004646

I'm really sorry by the Mistake, Here is the crash log: http://hastebin.com/nekihibepo.vhdl

DoughnutDev

2016-07-31 17:39

reporter   ~0004648

I was also getting this issue. I removed the mod for awhile from my pack, but I think the issue is fixed in the new release of IC2 on Jenkins.

DoughnutDev

2016-08-01 18:08

reporter   ~0004654

So I did some research on the issue and it seems it is Mekanism. After I added it. The issue started.

Aroma1997

2016-08-04 17:45

developer   ~0004672

I tentatively fixed it. It now logs an error message in the log file. I would appreciate, if someone could give me back a log file of where it would normally happen.

Issue History

Date Modified Username Field Change
2016-07-26 23:15 PotterCraft_ New Issue
2016-07-27 07:26 Aroma1997 Note Added: 0004645
2016-07-27 16:41 PotterCraft_ Note Added: 0004646
2016-07-27 17:31 Chocohead Relationship added duplicate of 0001923
2016-07-31 17:39 DoughnutDev Note Added: 0004648
2016-08-01 18:08 DoughnutDev Note Added: 0004654
2016-08-04 17:45 Aroma1997 Note Added: 0004672
2016-08-04 17:45 Aroma1997 Status new => resolved
2016-08-04 17:45 Aroma1997 Fixed in Version => Builds for MC 1.10.x
2016-08-04 17:45 Aroma1997 Resolution open => fixed
2016-08-04 17:45 Aroma1997 Assigned To => Aroma1997